dependency mockito-all

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

dependency mockito-all

COLDPower team member
Hello, i'm a member of the COLDPower team, since today i'm having some troubles with "mockito-all version dependency", can you tell me for what are you using this. We are using the same architecture that the sample broker has, and we are experimenting some problems with that since today. We need to know what we most change or fix, in our code, thank you David Montero(COLDPower team).
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: dependency mockito-all

erikkemperman
Hi David,

The dependency on mockito was upgraded to a much more recent version -- but they no longer provide mockito-all. I expect things will work again if you change mockito-all to mockito-core in your pom.xml, and remove the version element of that dependency (you should then inherit the right version automatically).

Hope this helps,
Erik
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: dependency mockito-all

grampajohn
Administrator
In reply to this post by COLDPower team member
Hello, David -
COLDPower team member wrote
Hello, i'm a member of the COLDPower team, since today i'm having some troubles with "mockito-all version dependency", can you tell me for what are you using this. We are using the same architecture that the sample broker has, and we are experimenting some problems with that since today. We need to know what we most change or fix, in our code, thank you David Montero(COLDPower team).
Yes, this is due to a massive update we deployed last week to 1.4.0-SNAPSHOT. The dependency should now be "mockito-core" instead of "mockito-all". The change is due to a refactoring of the mockito toolset, which we use throughout the system along with junit for unit tests. You can always find the change history of the sample-broker package at github.

If you did not change the pom.xml in your broker from the version in sample-broker, it should be enough to just copy it over again. Otherwise you will have to change that one line.

We apologize for the inconvenience, and for not communicating it clearly. I'll do that now.

Thanks.

John
Loading...